- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# TextureCubeMap File Reference

`#include <osg/Texture>`

Include dependency graph for TextureCubeMap:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::TextureCubeMap
| TextureCubeMap state class which encapsulates OpenGL texture cubemap functionality. More...
class | osg::TextureCubeMap::SubloadCallback
class | osg::TextureCubeMap::Extensions
| Extensions class which encapsulates the querying of extensions and associated function pointers, and provides convinience wrappers to check for the extensions or use the associated functions. More...
## Defines
#define | OSG_TEXTURECUBEMAP 1
#define | GL_TEXTURE_CUBE_MAP 0x8513

## Define Documentation

#define GL_TEXTURE_CUBE_MAP 0x8513

#define OSG_TEXTURECUBEMAP 1